# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

- org.apache.lucene.analysis.AbstractAnalysisFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `LUCENE_MATCH_VERSION_PARAM`
  `"luceneMatchVersion"`
- org.apache.lucene.analysis.GraphTokenFilter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_GRAPH_STACK_SIZE`
  `1000`
  `public static final int`
  `MAX_TOKEN_CACHE_SIZE`
  `100`
- org.apache.lucene.analysis.TokenStreamToAutomaton
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `HOLE`
  `30`
  `public static final int`
  `POS_SEP`
  `31`

- org.apache.lucene.analysis.standard.StandardAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_TOKEN_LENGTH`
  `255`
- org.apache.lucene.analysis.standard.StandardTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALPHANUM`
  `0`
  `public static final int`
  `EMOJI`
  `7`
  `public static final int`
  `HANGUL`
  `6`
  `public static final int`
  `HIRAGANA`
  `4`
  `public static final int`
  `IDEOGRAPHIC`
  `3`
  `public static final int`
  `KATAKANA`
  `5`
  `public static final int`
  `MAX_TOKEN_LENGTH_LIMIT`
  `1048576`
  `public static final int`
  `NUM`
  `1`
  `public static final int`
  `SOUTHEAST_ASIAN`
  `2`
- org.apache.lucene.analysis.standard.StandardTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"standard"`
- org.apache.lucene.analysis.standard.StandardTokenizerImpl
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `EMOJI_TYPE`
  `7`
  `public static final int`
  `HANGUL_TYPE`
  `6`
  `public static final int`
  `HIRAGANA_TYPE`
  `4`
  `public static final int`
  `IDEOGRAPHIC_TYPE`
  `3`
  `public static final int`
  `KATAKANA_TYPE`
  `5`
  `public static final int`
  `NUMERIC_TYPE`
  `1`
  `public static final int`
  `SOUTH_EAST_ASIAN_TYPE`
  `2`
  `public static final int`
  `WORD_TYPE`
  `0`
  `public static final int`
  `YYEOF`
  `-1`
  `public static final int`
  `YYINITIAL`
  `0`

- org.apache.lucene.analysis.tokenattributes.TypeAttribute
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_TYPE`
  `"word"`

- org.apache.lucene.codecs.CodecUtil
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CODEC_MAGIC`
  `1071082519`
  `public static final int`
  `FOOTER_MAGIC`
  `-1071082520`
- org.apache.lucene.codecs.KnnVectorsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_DIMENSIONS`
  `1024`

- org.apache.lucene.codecs.lucene102.Lucene102BinaryQuantizedVectorsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BINARIZED_VECTOR_COMPONENT`
  `"BVEC"`
  `public static final byte`
  `INDEX_BITS`
  `0x1`
  `public static final String`
  `NAME`
  `"Lucene102BinaryQuantizedVectorsFormat"`
  `public static final byte`
  `QUERY_BITS`
  `0x4`
- org.apache.lucene.codecs.lucene102.Lucene102HnswBinaryQuantizedVectorsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"Lucene102HnswBinaryQuantizedVectorsFormat"`

- org.apache.lucene.codecs.lucene103.ForUtil
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BLOCK_SIZE`
  `128`
- org.apache.lucene.codecs.lucene103.Lucene103PostingsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BLOCK_MASK`
  `127`
  `public static final int`
  `BLOCK_SIZE`
  `128`
  `public static final String`
  `DOC_EXTENSION`
  `"doc"`
  `public static final int`
  `LEVEL1_FACTOR`
  `32`
  `public static final int`
  `LEVEL1_MASK`
  `4095`
  `public static final int`
  `LEVEL1_NUM_DOCS`
  `4096`
  `public static final String`
  `META_EXTENSION`
  `"psm"`
  `public static final String`
  `PAY_EXTENSION`
  `"pay"`
  `public static final String`
  `POS_EXTENSION`
  `"pos"`

- org.apache.lucene.codecs.lucene103.blocktree.Lucene103BlockTreeTermsReader
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `VERSION_CURRENT`
  `0`
  `public static final int`
  `VERSION_START`
  `0`
- org.apache.lucene.codecs.lucene103.blocktree.Lucene103BlockTreeTermsWriter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_BLOCK_SIZE`
  `48`
  `public static final int`
  `DEFAULT_MIN_BLOCK_SIZE`
  `25`

- org.apache.lucene.codecs.lucene90.IndexedDISI
  Modifier and Type
  Constant Field
  Value
  `public static final byte`
  `DEFAULT_DENSE_RANK_POWER`
  `0x9`
- org.apache.lucene.codecs.lucene90.Lucene90PointsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DATA_EXTENSION`
  `"kdd"`
  `public static final String`
  `INDEX_EXTENSION`
  `"kdi"`
  `public static final String`
  `META_EXTENSION`
  `"kdm"`

- org.apache.lucene.codecs.lucene90.compressing.Lucene90CompressingStoredFieldsWriter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FIELDS_EXTENSION`
  `"fdt"`
  `public static final String`
  `INDEX_CODEC_NAME`
  `"Lucene90FieldsIndex"`
  `public static final String`
  `INDEX_EXTENSION`
  `"fdx"`
  `public static final String`
  `META_EXTENSION`
  `"fdm"`

- org.apache.lucene.codecs.lucene99.Lucene99FlatVectorsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `VERSION_CURRENT`
  `0`
  `public static final int`
  `VERSION_START`
  `0`
- org.apache.lucene.codecs.lucene99.Lucene99HnswScalarQuantizedVectorsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"Lucene99HnswScalarQuantizedVectorsFormat"`
- org.apache.lucene.codecs.lucene99.Lucene99HnswVectorsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BEAM_WIDTH`
  `100`
  `public static final int`
  `DEFAULT_MAX_CONN`
  `16`
  `public static final int`
  `DEFAULT_NUM_MERGE_WORKER`
  `1`
  `public static final int`
  `MAXIMUM_BEAM_WIDTH`
  `3200`
  `public static final int`
  `MAXIMUM_MAX_CONN`
  `512`
  `public static final int`
  `VERSION_CURRENT`
  `1`
  `public static final int`
  `VERSION_GROUPVARINT`
  `1`
  `public static final int`
  `VERSION_START`
  `0`
- org.apache.lucene.codecs.lucene99.Lucene99HnswVectorsReader
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `EXHAUSTIVE_BULK_SCORE_ORDS`
  `64`
- org.apache.lucene.codecs.lucene99.Lucene99ScalarQuantizedVectorsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final float`
  `DYNAMIC_CONFIDENCE_INTERVAL`
  `0.0f`
  `public static final String`
  `NAME`
  `"Lucene99ScalarQuantizedVectorsFormat"`
  `public static final String`
  `QUANTIZED_VECTOR_COMPONENT`
  `"QVEC"`
- org.apache.lucene.codecs.lucene99.Lucene99SegmentInfoFormat
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SI_EXTENSION`
  `"si"`

- org.apache.lucene.codecs.perfield.PerFieldDocValuesFormat
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PER_FIELD_NAME`
  `"PerFieldDV40"`
- org.apache.lucene.codecs.perfield.PerFieldKnnVectorsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PER_FIELD_NAME`
  `"PerFieldVectors90"`
- org.apache.lucene.codecs.perfield.PerFieldPostingsFormat
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PER_FIELD_NAME`
  `"PerField40"`

- org.apache.lucene.document.DoubleRange
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `8`
- org.apache.lucene.document.FloatRange
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `4`
- org.apache.lucene.document.InetAddressPoint
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `16`
- org.apache.lucene.document.InetAddressRange
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `16`
- org.apache.lucene.document.IntRange
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `4`
- org.apache.lucene.document.LatLonPoint
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `4`
- org.apache.lucene.document.LatLonShapeDocValues
  Modifier and Type
  Constant Field
  Value
  `protected static final byte`
  `VERSION`
  `0x0`
- org.apache.lucene.document.LongRange
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `8`
- org.apache.lucene.document.XYPointField
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `4`
- org.apache.lucene.document.XYShapeDocValues
  Modifier and Type
  Constant Field
  Value
  `protected static final byte`
  `VERSION`
  `0x0`

- org.apache.lucene.geo.GeoEncodingUtils
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `BITS`
  `32`
- org.apache.lucene.geo.GeoUtils
  Modifier and Type
  Constant Field
  Value
  `public static final double`
  `EARTH_MEAN_RADIUS_METERS`
  `6371008.7714`
  `public static final double`
  `MAX_LAT_INCL`
  `90.0`
  `public static final double`
  `MAX_LON_INCL`
  `180.0`
  `public static final double`
  `MIN_LAT_INCL`
  `-90.0`
  `public static final double`
  `MIN_LON_INCL`
  `-180.0`
- org.apache.lucene.geo.SimpleWKTShapeParser
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMMA`
  `","`
  `public static final String`
  `EMPTY`
  `"EMPTY"`
  `public static final String`
  `LPAREN`
  `"("`
  `public static final String`
  `NAN`
  `"NaN"`
  `public static final String`
  `RPAREN`
  `")"`
  `public static final String`
  `SPACE`
  `" "`
- org.apache.lucene.geo.Tessellator.Monitor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMPLETED`
  `"COMPLETED"`
  `public static final String`
  `FAILED`
  `"FAILED"`
- org.apache.lucene.geo.XYEncodingUtils
  Modifier and Type
  Constant Field
  Value
  `public static final double`
  `MAX_VAL_INCL`
  `3.4028234663852886E38`
  `public static final double`
  `MIN_VAL_INCL`
  `-3.4028234663852886E38`

- org.apache.lucene.index.CheckIndex.Level
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_VALUE`
  `1`
  `public static final int`
  `MAX_VALUE`
  `3`
  `public static final int`
  `MIN_LEVEL_FOR_CHECKSUM_CHECKS`
  `1`
  `public static final int`
  `MIN_LEVEL_FOR_INTEGRITY_CHECKS`
  `2`
  `public static final int`
  `MIN_LEVEL_FOR_SLOW_CHECKS`
  `3`
  `public static final int`
  `MIN_VALUE`
  `1`
- org.apache.lucene.index.ConcurrentMergeScheduler
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `AUTO_DETECT_MERGES_AND_THREADS`
  `-1`
  `public static final String`
  `DEFAULT_CPU_CORE_COUNT_PROPERTY`
  `"lucene.cms.override_core_count"`
- org.apache.lucene.index.IndexFileNames
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PENDING_SEGMENTS`
  `"pending_segments"`
  `public static final String`
  `SEGMENTS`
  `"segments"`
- org.apache.lucene.index.IndexWriter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_DOCS`
  `2147483519`
  `public static final int`
  `MAX_POSITION`
  `2147483519`
  `public static final int`
  `MAX_TERM_LENGTH`
  `32766`
  `public static final String`
  `SOURCE`
  `"source"`
  `public static final String`
  `SOURCE_ADDINDEXES_READERS`
  `"addIndexes(CodecReader...)"`
  `public static final String`
  `SOURCE_FLUSH`
  `"flush"`
  `public static final String`
  `SOURCE_MERGE`
  `"merge"`
  `public static final String`
  `WRITE_LOCK_NAME`
  `"write.lock"`
- org.apache.lucene.index.IndexWriterConfig
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `DEFAULT_COMMIT_ON_CLOSE`
  `true`
  `public static final int`
  `DEFAULT_MAX_BUFFERED_DELETE_TERMS`
  `-1`
  `public static final int`
  `DEFAULT_MAX_BUFFERED_DOCS`
  `-1`
  `public static final long`
  `DEFAULT_MAX_FULL_FLUSH_MERGE_WAIT_MILLIS`
  `500L`
  `public static final double`
  `DEFAULT_RAM_BUFFER_SIZE_MB`
  `16.0`
  `public static final int`
  `DEFAULT_RAM_PER_THREAD_HARD_LIMIT_MB`
  `1945`
  `public static final boolean`
  `DEFAULT_READER_POOLING`
  `true`
  `public static final boolean`
  `DEFAULT_USE_COMPOUND_FILE_SYSTEM`
  `true`
  `public static final int`
  `DISABLE_AUTO_FLUSH`
  `-1`
- org.apache.lucene.index.LogByteSizeMergePolicy
  Modifier and Type
  Constant Field
  Value
  `public static final double`
  `DEFAULT_MAX_MERGE_MB`
  `2048.0`
  `public static final double`
  `DEFAULT_MAX_MERGE_MB_FOR_FORCED_MERGE`
  `9.223372036854776E18`
  `public static final double`
  `DEFAULT_MIN_MERGE_MB`
  `16.0`
- org.apache.lucene.index.LogDocMergePolicy
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MIN_MERGE_DOCS`
  `1000`
- org.apache.lucene.index.LogMergePolicy
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_MERGE_DOCS`
  `2147483647`
  `public static final int`
  `DEFAULT_MERGE_FACTOR`
  `10`
  `public static final double`
  `DEFAULT_NO_CFS_RATIO`
  `0.1`
  `public static final double`
  `LEVEL_LOG_SPAN`
  `0.75`
- org.apache.lucene.index.MergePolicy
  Modifier and Type
  Constant Field
  Value
  `protected static final long`
  `DEFAULT_MAX_CFS_SEGMENT_SIZE`
  `9223372036854775807L`
  `protected static final double`
  `DEFAULT_NO_CFS_RATIO`
  `1.0`
- org.apache.lucene.index.PersistentSnapshotDeletionPolicy
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SNAPSHOTS_PREFIX`
  `"snapshots_"`
- org.apache.lucene.index.PointValues
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_DIMENSIONS`
  `16`
  `public static final int`
  `MAX_INDEX_DIMENSIONS`
  `8`
  `public static final int`
  `MAX_NUM_BYTES`
  `16`
- org.apache.lucene.index.PostingsEnum
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `ALL`
  `120`
  `public static final short`
  `FREQS`
  `8`
  `public static final short`
  `NONE`
  `0`
  `public static final short`
  `OFFSETS`
  `56`
  `public static final short`
  `PAYLOADS`
  `88`
  `public static final short`
  `POSITIONS`
  `24`
- org.apache.lucene.index.SegmentInfo
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `NO`
  `-1`
  `public static final int`
  `YES`
  `1`
- org.apache.lucene.index.SegmentInfos
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `VERSION_74`
  `9`
  `public static final int`
  `VERSION_86`
  `10`
- org.apache.lucene.index.TieredMergePolicy
  Modifier and Type
  Constant Field
  Value
  `public static final double`
  `DEFAULT_NO_CFS_RATIO`
  `0.1`

- org.apache.lucene.search.BoostAttribute
  Modifier and Type
  Constant Field
  Value
  `public static final float`
  `DEFAULT_BOOST`
  `1.0f`
- org.apache.lucene.search.DocIdSetIterator
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `NO_MORE_DOCS`
  `2147483647`
- org.apache.lucene.search.FuzzyQuery
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `defaultMaxEdits`
  `2`
  `public static final int`
  `defaultMaxExpansions`
  `50`
  `public static final int`
  `defaultPrefixLength`
  `0`
  `public static final boolean`
  `defaultTranspositions`
  `true`
- org.apache.lucene.search.SortedNumericSortField.Provider
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"SortedNumericSortField"`
- org.apache.lucene.search.SortedSetSortField.Provider
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"SortedSetSortField"`
- org.apache.lucene.search.SortField.Provider
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"SortField"`
- org.apache.lucene.search.WildcardQuery
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `WILDCARD_CHAR`
  `'?'`
  `public static final char`
  `WILDCARD_ESCAPE`
  `'\\'`
  `public static final char`
  `WILDCARD_STRING`
  `'*'`

- org.apache.lucene.search.knn.KnnSearchStrategy
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_FILTERED_SEARCH_THRESHOLD`
  `0`

- org.apache.lucene.store.BufferedChecksum
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUFFERSIZE`
  `1024`
- org.apache.lucene.store.BufferedIndexInput
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BUFFER_SIZE`
  `1024`
  `public static final int`
  `MERGE_BUFFER_SIZE`
  `4096`
  `public static final int`
  `MIN_BUFFER_SIZE`
  `8`
- org.apache.lucene.store.ByteBuffersDataOutput
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_BITS_PER_BLOCK`
  `26`
  `public static final int`
  `DEFAULT_MIN_BITS_PER_BLOCK`
  `10`
  `public static final int`
  `LIMIT_MAX_BITS_PER_BLOCK`
  `31`
  `public static final int`
  `LIMIT_MIN_BITS_PER_BLOCK`
  `1`
- org.apache.lucene.store.LockVerifyServer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `START_GUN_SIGNAL`
  `43`
- org.apache.lucene.store.MMapDirectory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SHARED_ARENA_MAX_PERMITS_SYSPROP`
  `"org.apache.lucene.store.MMapDirectory.sharedArenaMaxPermits"`
- org.apache.lucene.store.SleepingLockWrapper
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `DEFAULT_POLL_INTERVAL`
  `1000L`
  `public static final long`
  `LOCK_OBTAIN_WAIT_FOREVER`
  `-1L`
- org.apache.lucene.store.VerifyingLockFactory
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MSG_LOCK_ACQUIRED`
  `1`
  `public static final int`
  `MSG_LOCK_RELEASED`
  `0`

- org.apache.lucene.util.ByteBlockPool
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTE_BLOCK_MASK`
  `32767`
  `public static final int`
  `BYTE_BLOCK_SHIFT`
  `15`
  `public static final int`
  `BYTE_BLOCK_SIZE`
  `32768`
- org.apache.lucene.util.BytesRefHash
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_CAPACITY`
  `16`
- org.apache.lucene.util.GroupVIntUtil
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_LENGTH_PER_GROUP`
  `17`
- org.apache.lucene.util.IntBlockPool
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INT_BLOCK_MASK`
  `8191`
  `public static final int`
  `INT_BLOCK_SHIFT`
  `13`
  `public static final int`
  `INT_BLOCK_SIZE`
  `8192`
- org.apache.lucene.util.MSBRadixSorter
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `HISTOGRAM_SIZE`
  `257`
  `protected static final int`
  `LENGTH_THRESHOLD`
  `100`
  `protected static final int`
  `LEVEL_THRESHOLD`
  `8`
- org.apache.lucene.util.OfflineSorter
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `ABSOLUTE_MIN_SORT_BUFFER_SIZE`
  `524288L`
  `public static final long`
  `GB`
  `1073741824L`
  `public static final int`
  `MAX_TEMPFILES`
  `10`
  `public static final long`
  `MB`
  `1048576L`
  `public static final long`
  `MIN_BUFFER_SIZE_MB`
  `32L`
- org.apache.lucene.util.RamUsageEstimator
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_DEPTH`
  `1`
  `public static final long`
  `ONE_GB`
  `1073741824L`
  `public static final long`
  `ONE_KB`
  `1024L`
  `public static final long`
  `ONE_MB`
  `1048576L`
  `public static final int`
  `QUERY_DEFAULT_RAM_BYTES_USED`
  `1024`
  `public static final int`
  `UNKNOWN_DEFAULT_RAM_BYTES_USED`
  `256`
- org.apache.lucene.util.RecyclingByteBlockAllocator
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUFFERED_BLOCKS`
  `64`
- org.apache.lucene.util.RecyclingIntBlockAllocator
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUFFERED_BLOCKS`
  `64`
- org.apache.lucene.util.StringHelper
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ID_LENGTH`
  `16`
- org.apache.lucene.util.UnicodeUtil
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_UTF8_BYTES_PER_CHAR`
  `3`
  `public static final int`
  `UNI_REPLACEMENT_CHAR`
  `65533`
  `public static final int`
  `UNI_SUR_HIGH_END`
  `56319`
  `public static final int`
  `UNI_SUR_HIGH_START`
  `55296`
  `public static final int`
  `UNI_SUR_LOW_END`
  `57343`
  `public static final int`
  `UNI_SUR_LOW_START`
  `56320`

- org.apache.lucene.util.automaton.Automata
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_STRING_UNION_TERM_LENGTH`
  `1000`
- org.apache.lucene.util.automaton.LevenshteinAutomata
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAXIMUM_SUPPORTED_DISTANCE`
  `2`
- org.apache.lucene.util.automaton.Operations
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_DETERMINIZE_WORK_LIMIT`
  `10000`
- org.apache.lucene.util.automaton.RegExp
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALL`
  `255`
  `public static final int`
  `ANYSTRING`
  `8`
  `public static final int`
  `ASCII_CASE_INSENSITIVE`
  `256`
  `public static final int`
  `AUTOMATON`
  `16`
  `public static final int`
  `CASE_INSENSITIVE`
  `512`
  `public static final int`
  `CASE_INSENSITIVE_RANGE`
  `1024`
  `public static final int`
  `DEPRECATED_COMPLEMENT`
  `65536`
  `public static final int`
  `EMPTY`
  `4`
  `public static final int`
  `INTERSECTION`
  `1`
  `public static final int`
  `INTERVAL`
  `32`
  `public static final int`
  `NONE`
  `0`

- org.apache.lucene.util.bkd.BKDConfig
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_POINTS_IN_LEAF_NODE`
  `512`
  `public static final int`
  `MAX_DIMS`
  `16`
  `public static final int`
  `MAX_INDEX_DIMS`
  `8`
- org.apache.lucene.util.bkd.BKDWriter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CODEC_NAME`
  `"BKD"`
  `public static final float`
  `DEFAULT_MAX_MB_SORT_IN_HEAP`
  `16.0f`
  `public static final int`
  `VERSION_CURRENT`
  `10`
  `public static final int`
  `VERSION_LEAF_STORES_BOUNDS`
  `5`
  `public static final int`
  `VERSION_LOW_CARDINALITY_LEAVES`
  `7`
  `public static final int`
  `VERSION_META_FILE`
  `9`
  `public static final int`
  `VERSION_SELECTIVE_INDEXING`
  `6`
  `public static final int`
  `VERSION_START`
  `4`
  `public static final int`
  `VERSION_VECTORIZE_BPV24_AND_INTRODUCE_BPV21`
  `10`

- org.apache.lucene.util.compress.LZ4
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_DISTANCE`
  `65536`

- org.apache.lucene.util.fst.FST<T>
  Modifier and Type
  Constant Field
  Value
  `public static final byte`
  `ARCS_FOR_BINARY_SEARCH`
  `0x20`
  `public static final int`
  `BIT_ARC_HAS_OUTPUT`
  `16`
  `public static final int`
  `END_LABEL`
  `-1`
  `public static final int`
  `VERSION_90`
  `8`
  `public static final int`
  `VERSION_CONTINUOUS_ARCS`
  `9`
  `public static final int`
  `VERSION_CURRENT`
  `9`
  `public static final int`
  `VERSION_START`
  `6`

- org.apache.lucene.util.hnsw.HnswGraph
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `UNKNOWN_MAX_CONN`
  `-1`
- org.apache.lucene.util.hnsw.HnswGraphBuilder
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BEAM_WIDTH`
  `100`
  `public static final int`
  `DEFAULT_MAX_CONN`
  `16`
  `public static final String`
  `HNSW_COMPONENT`
  `"HNSW"`

- org.apache.lucene.util.packed.DirectMonotonicWriter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_BLOCK_SHIFT`
  `22`
  `public static final int`
  `MIN_BLOCK_SHIFT`
  `2`
- org.apache.lucene.util.packed.PackedInts
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CODEC_NAME`
  `"PackedInts"`
  `public static final float`
  `COMPACT`
  `0.0f`
  `public static final float`
  `DEFAULT`
  `0.25f`
  `public static final int`
  `DEFAULT_BUFFER_SIZE`
  `1024`
  `public static final float`
  `FAST`
  `0.5f`
  `public static final float`
  `FASTEST`
  `7.0f`
  `public static final int`
  `VERSION_CURRENT`
  `2`
  `public static final int`
  `VERSION_MONOTONIC_WITHOUT_ZIGZAG`
  `2`
  `public static final int`
  `VERSION_START`
  `2`
- org.apache.lucene.util.packed.PackedLongValues
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_PAGE_SIZE`
  `256`

- org.apache.lucene.util.quantization.ScalarQuantizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SCALAR_QUANTIZATION_SAMPLE_SIZE`
  `25000`